Name:       libmedia-thumbnail
Summary:    Media thumbnail service library for multimedia applications
Version: 0.2.17
Release:    0
Group:      Multimedia/Libraries
License:    Apache-2.0 and PD
Source0:    %{name}-%{version}.tar.gz
Source1001: %{name}.manifest
Source1002: %{name}-devel.manifest
Source1003: media-thumbnail-server.manifest

Requires: media-server
BuildRequires: cmake
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(mm-fileinfo)
BuildRequires: pkgconfig(capi-media-image-util)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(evas)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(libmedia-utils)
BuildRequires: pkgconfig(libtzplatform-config)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(db-util)

%description
Description: Media thumbnail service library for multimedia applications


%package devel
Summary:        Media thumbnail service library for multimedia applications (development)
Requires:       %{name}  = %{version}-%{release}
Group:          Multimedia/Development

%description devel
Description: Media thumbnail service library for multimedia applications (development)

%package -n media-thumbnail-server
Summary:        Thumbnail generator
Requires:       %{name}  = %{version}-%{release}
Group:          Multimedia/Service

%description -n media-thumbnail-server
Description: Media Thumbnail Server


%prep
%setup -q
cp %{SOURCE1001} %{SOURCE1002} %{SOURCE1003} .


%build
%cmake .
make %{?_smp_mflags}

%install
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/*.so.*
#License
%license LICENSE.APLv2.0

%files devel
%manifest %{name}-devel.manifest
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/media-thumbnail.pc
%{_includedir}/media-thumbnail/*.h

%files -n media-thumbnail-server
%manifest media-thumbnail-server.manifest
%defattr(-,root,root,-)
%{_bindir}/media-thumbnail-server
%license LICENSE.APLv2.0
