/*
 * media-thumbnail-server
 *
 * Copyright (c) 2000 - 2011 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: Hyunjun Ko <zzoon.ko@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#include <glib.h>
#include "media-thumb-ipc.h"
#include "media-thumb-db.h"

#ifndef _THUMB_DAEMON_INTERNAL_H_
#define _THUMB_DAEMON_INTERNAL_H_

gboolean _thumb_daemon_start_jobs(gpointer data);
void _thumb_daemon_finish_jobs(void);
gboolean _thumb_server_prepare_socket(int *sock_fd);
gboolean _thumb_server_read_socket(GIOChannel *src, GIOCondition condition, gpointer data);

int _thumbnail_get_data(const char *origin_path,
						char *thumb_path,
						unsigned char **data,
						int *width,
						int *height,
						int *alpha,
						bool *is_saved);

int _thumbnail_get_raw_data(const char *origin_path, int *width, int *height, unsigned char **data, int *size);

int _media_thumb_process(thumbMsg *req_msg, thumbMsg *res_msg);
int _media_thumb_process_raw(thumbMsg *req_msg, thumbMsg *res_msg);

#endif /*_THUMB_DAEMON_INTERNAL_H_*/
